package com.adc.da.dto.ocr;

import com.adc.da.base.entity.BaseEntity;
import lombok.Data;

/**
 *  合格证实体类
 *
 * @author 周梓武
 * @date 2019-09-17
 *
 */

@Data
public class CertificateEO extends BaseEntity {
    /**
     * 合格证编号
     */
    private String certificateID;
    /**
     * 发证日期
     */
    private String dateOfIssue;
    /**
     * 车辆制造企业名称
     */
    private String nameOfCompany;
    /**
     * 车辆品牌
     */
    private String vehicleBrands;
    /**
     * 车辆名称
     */
    private String nameOfVehicle;
    /**
     * 车辆型号
     */
    private String vehicleModel;
    /**
     * 车辆识别代号
     */
    private String vehicleIDNumber;
    /**
     * 车身颜色
     */
    private String vehicleColor;
    /**
     * 底盘型号
     */
    private String chassisModel;
    /**
     * 底盘ID
     */
    private String chassisID;
    /**
     * 底盘合格证编号
     */
    private String chassisCertificateID;
    /**
     * 发动机型号
     */
    private String engineModel;
    /**
     * 发动机号
     */
    private String engineID;
    /**
     * 燃料种类
     */
    private String fuelType;
    /**
     * 排量
     */
    private String exhaustVolume;
    /**
     * 功率
     */
    private String power;
    /**
     * 排放标准
     */
    private String emissionStandards;
    /**
     * 油耗
     */
    private String fuelConsumption;
    /**
     * 外廓长
     */
    private String lengthOfOutline;
    /**
     * 外廓宽
     */
    private String widthOfOutline;
    /**
     * 外廓高
     */
    private String heightOfOutline;
    /**
     * 货厢内部尺寸长
     */
    private String lengthOfCargoInteriorSize;
    /**
     * 货厢内部尺寸宽
     */
    private String widthOfCargoInteriorSize;
    /**
     * 货厢内部尺寸高
     */
    private String heightOfCargoInteriorSize;
    /**
     * 钢板弹簧片数
     */
    private String numberOfLeafSprings;
    /**
     * 轮胎数
     */
    private String tireNumber;
    /**
     * 轮胎规格
     */
    private String tireSpecification;
    /**
     * 前轮距
     */
    private String frontTireDistance;
    /**
     * 后轮距
     */
    private String rearTireDistance;
    /**
     * 轴距
     */
    private String wheelbase;
    /**
     * 轴荷
     */
    private String axleLoad;
    /**
     * 轴数
     */
    private String axisNumber;
    /**
     * 转向形式
     */
    private String steeringType;
    /**
     * 总质量
     */
    private String totalWeight;
    /**
     * 整备质量
     */
    private String emptyCarWeight;
    /**
     * 额定载质量
     */
    private String ratedTotalWeight;
    /**
     * 载质量利用系数
     */
    private String coefficientOfMassUtilization;
    /**
     * 准牵引总质量
     */
    private String quasiTractionTotalWeight;
    /**
     * 半挂车鞍座最大允许总质量
     */
    private String maximumAutohrozedTotalMassOfSemiTrailerSaddle;
    /**
     * 驾驶室准乘人数
     */
    private String numberOfPassengersInTheCab;
    /**
     * 额定载客
     */
    private String ratedPassenger;
    /**
     * 最高设计车速
     */
    private String highestDesignSpeed;
    /**
     * 车辆制造日期
     */
    //@org.springframework.format.annotation.DateTimeFormat(pattern="yyyy年MM月dd日")
    private String vehicleManufactureDate;

    /**
     * 备注
     */
    private String other;

    /**
     * 产品检验信息
     */
    private String checkInformation;

    /**
     * 转向轴个数
     */
    private String zxzNum;

    /**
     * 电动汽车驱动电机型号
     */
    private String qddjModle;

    /**
     * 公告生效日期
     */
    private String effectiveDate;


    /**
     * 批次
     */
    private String vehicleGroup;


    private String entId;

    private String productId;
    private String productGgNo;
    private String productNo;
    /**
     * 双积分配置id
     */
    private  String pzId;

    /**
     * 车辆生产单位名称
     */
    private String enpName;
    /**
     * 车辆生产单位地址
     */
    private String enpAddress;

    /**
     * 车辆制造企业信息
     */
    private String companyDetail;

    /**
     * 车辆制造企业其他信息
     */
    private String companyOtherDetail;

}
