package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 柴油国五车型环保随车清单实体类
 *
 * @author 王云龙
 * @date 2019-09-19
 */
@Data
public class DieselCountryFiveEP extends FuelVehicleEP {

    /**
     * 出厂检验信息
     */
    private String factoryInspectionInformation;

    /**
     * 后处理装置型号/生产厂
     */
    private String postProcessingDeviceType;

    /**
     * 后处理装置涂层/载体/封装生产厂
     */
    private String postTreatmentDeviceCoating;

    /**
     * 喷油泵型号/生产厂
     */
    private String fuelInjectionPump;

    /**
     * 喷油器型号/生产厂
     */
    private String injector;

    /**
     * IUPR监测功能
     */
    private String iupr;


}
