package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 纯电动一致性实体类
 */
@Data
public class ElectricUniformityCertificate extends UniformityCertificateEO {

    /**
     * 最终阶段车辆生产国
     */
    private String finalStageVehicleProducers;

    /**
     * 最终阶段车辆CCC证书编号（版本号）/签发日期
     */
    private String finalStageCCC;

    /**
     * 电动机生产厂商名称
     */
    private String motorManufacturer;

    /**
     * 电动机工作电压
     */
    private String workingVoltageOfMotor;

    /**
     * 最大输出功率
     */
    private String maxPower;

    /**
     * 动力电池型号
     */
    private String powerBatteryModel;

    /**
     * 动力电池系统额定电压
     */
    private String systemRatedPower;

    /**
     * 动力电池系统额定容量
     */
    private String systemRatedCapacity;

    /**
     * 动力电池生产厂名称
     */
    private String powerBatteryManufacturing;

    /**
     * 电动机型号
     */
    private String motorModel;

    /**
     * 电动机编号
     */
    private String motorCode;

    /**
     * 电动机编号在电动机上的打刻位置
     */
    private String motorCodePosition;

    /**
     * 货厢内部尺寸
     */
    private String cargoSize;

}
