package com.adc.da.dto.ocr;

import lombok.Data;

import java.util.List;

/**
 * 汽油国六车型环保随车清单实体类
 *
 * @author 王云龙
 * @date 2019-09-19
 */
@Data
public class GasolineNationalSixEP extends FuelVehicleEP {

    /**
     * 发动机编号
     */
    private String engineNumber;

    /**
     * 基准质量
     */
    private String benchmarkQuality;

    /**
     * 催化转化器型号/生产厂
     */
    private String catalyticConverterModel;

    /**
     * 催化转化器涂层/载体/封装生产厂
     */
    private String catalyticConverterCoating;

    /**
     * 颗粒捕集器（CGPF）型号/生产厂
     */
    private String particleTrapType;

    /**
     *  颗粒捕集器涂层/载体/封装生产厂
     */
    private String particleTrapCoating;

    /**
     * 炭罐型号/生产厂
     */
    private String canister;

    /**
     * 氧传感器型号/生产厂
     */
    private String oxygenSensor;

    /**
     * 曲轴箱排放控制装置型号/生产厂
     */
    private String crankcaseEmissionControlDevice;

    /**
     * 出厂检验信息
     */
    private List<FactoryInspectionInformation> factoryInspectionInformationList;

}
