package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 纯电动车型环保随车清单实体类
 *
 * @author 王云龙
 * @date 2019-09-19
 */
@Data
public class PureElectricVehicleEP extends EnvironmentalProtectionEO {

    /**
     * 出厂检验信息
     */
    private String factoryInspectionInformation;

    /**
     * 电动机型号/生产厂
     */
    private String motorType;

    /**
     * 整车控制器型号/版本号/生产厂
     */
    private String vehicleController;

    /**
     * 储能装置型号/生产厂
     */
    private String energyStorageDevice;

    /**
     * 电池容量/续航里程
     */
    private String battery;



}
