package com.adc.da.dto.reqDTO;

import lombok.Data;

/**
 *  对比接口使用实体类(对接)
 */
@Data
public class CheckENV {

    //信息公开编号
    private String informationOpenNumber;
    //整车型号
    private String vehicleType;
    //发动机型号/生产厂
    private String engineModel;
    //催化器或DOC型号/生产厂
    private String catalyticConverterModel;
    //前催化器或DOC型号
    private String preCatalyticModel;
    //前催化器或DOC生产厂
    private String preCatalyticFactory;
    //后催化器或DOC型号
    private String afterCatalyticModel;
    //后催化器或DOC生产厂
    private String afterCatalyticFactory;
    //催化器或DOC涂层/载体/封装生产厂
    private String TcZtFzDoc;
    //燃油蒸发控制装置或喷油泵型号/生产厂
    private String fuelEvaporationControlDevice;
    //氧传感器型号/生产厂
    private String oxygenSensor;
    //喷油器型号/生产厂
    private String fuelInjectionPump;
    //EGR型号/生产厂
    private String egr;
    //OBD型号/生产厂
    private String obd;
    //IUPR监测功能
    private String iupr;
    //ECU型号/版本号/生产厂
    private String ecu;
    //变速器形式/档位数
    private String derailleur;
    //消声器型号/生产厂
    private String muffler;
    //前消声器型号
    private String modelOfMufflerFront;
    //前消声器生产厂
    private String mufflerManufacturerFront;
    //后消声器型号
    private String modelOfMufflerLast;
    //后消声器生产厂
    private String mufflerManufacturerLast;
    //中消声器型号
    private String modelOfMufflerMidmost;
    //中消声器生产厂
    private String mufflerManufacturerMidmost;
    //增压器型号/生产厂
    private String supercharger;
    //中冷器型式
    private String intercoolerType;
    //电动机型号/厂家
    private String motorType;
    //检测机构2013
    private String testingOrganization2013;
    //检测机构2005
    private String testingOrganization2005;
    //检测机构2002
    private String testingOrganization2002;
    //检测机构2011
    private String testingOrganization2011;
    //基准质量
    private String benchmarkQuality;
    //颗粒物捕集器型号/生产厂
    private String particleTrapType;
    //颗粒物捕集器涂层/载体/封装生产厂
    private String particleTrapCoating;
    //燃料供给系统型式
    private String fuelSupplySystemType;
    //曲轴箱排放控制装置型式/生产企业
    private String crankcaseEmissionControlDevice;
    //催化转化器（SCR）型号/生产企业
    private String catalyticConverterModelSCR;
    //SCR封装/载体/涂层生产企业
    private String factoryInspectionInformationSCR;
    //氮氧化物存储催化还原催化转化器型号/生产企业
    private String NOXType;
    //氮氧化物封装/载体/涂层生产企业
    private String NOXCoating;
    //催化转化器（ASC）型号/生产企业
    private String catalyticConverterModelASC;
    //ASC封装/载体/涂层生产企业
    private String factoryInspectionInformationASC;
    //商标
    private String trademark;
    //汽车分类
    private String vehicleClassification;
    //排放阶段
    private String emissionStage;
    //车型的识别方法和位置
    private String recognitionMethod;
    //车辆制造商名称
    private String vehicleManufacturer;
    //生产厂地址
    private String factoryAddress;
    //检验标准2013检测机构
    private String testStandard2013;
    //标准2013检测结论
    private String testConclusion2013;
    //检验标准2005检测机构
    private String testStandard2005;
    //标准2005检测结论
    private String testConclusion2005;
    //标准2002检测机构
    private String testStandard2002;
    //标准2002检测结论
    private String testConclusion2002;
    //标准2011检测机构
    private String testStandard2011;
    //标准2011检测结论
    private String testConclusion2011;
    //出厂检验项目及结论
    private String projectAndConclusion;
    //国六阶段
    private String theSixStageOfTheCountry;
    //PN次方
    private String PN;
    //耐久里程
    private String kilometre;
    //OBD接口位置
    private String OBDInterfaceLocation;
    //混动外接充电
    private String hybridExternalCharging;
    //发动机排量
    private String engineDisplacement;
    //汽缸数
    private String Cylinders;
    //燃油供给方式
    private String fuelOilSupplyMode;
    //发动机额定功率
    private String ratedPowerOfEngine;
    //额定转速
    private String ratedSpeed;
    //储能装置型号/厂家
    private String energyStorageDevice;
    //电池容量/续航里程
    private String battery;


}
