package com.adc.da.dto.reqDTO;

import com.adc.da.system.entity.CheckRealVehicleVerification;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class CheckRealVehicleVerificationDto {

    /**
     * 参数名
     */
    private String parameterName;

    /**
     * 参数类型
     */
    private String parameterType;

    /**
     * 环保参数对应列
     */
    private String parameterData;

    /**
     * 车型
     */
    private String vehicleType;

    /**
     * 厂商对应编号
     */
    private String parameterCodeOne;

    /**
     * 型号对应编号
     */
    private String parameterCodeTwo;

    /**
     * 核查项集合
     */
    private List<CheckRealVehicleVerification> list;

    /**
     * 保存类型
     */
    private Integer status;

    /**
     * 车型系列id
     */
    private String vehicleSeriesId;

    /**
     * 车型系列
     */
    private String vehicleSeries;

    /**
     * 操作人id
     */
    private String userId;

    /**
     * 操作时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date time;

    /**
     * 初次核查版本号
     */
    private String editionCode;

    /**
     * 版本号
     */
    private String versionCode;

    /**
     * 事业部id
     */
    private String base;

    /**
     * 类型id
     */
    private String detailType;
}
