package com.adc.da.dto.reqDTO;

import lombok.Data;

import java.util.List;

@Data
public class KeyPartsDto {

    /**
     * 参数名称
     */
    private String parameterName;

    /**
     * 型号
     */
    private String parameterValue;

    /**
     * 厂商
     */
    private String entName;

    /**
     * 二维码厂商
     */
    private String qrEnt;

    /**
     * 二维码型号
     */
    private String qrVt;

    /**
     * 参数项值
     */
    private String name;

    /**
     * 二维码值
     */
    private String qrName;

    /**
     * 一致性对比结果
     * 0：未核查
     * 1：一致
     * 2：不一致
     */
    private int type;

    /**
     * 核查结果id
     */
    private String id;

    private List<KeyPartsDto> list;

    /**
     * 车型系列id
     */
    private String modelSeriesListId;

    /**
     * 关键件图片路径base64
     */
    private String filePathBase;

    /**
     * 关键件图片路径
     */
    private String filePath;

    /**
     * 识别的编码
     */
    private String qrNum;

    /**
     * 识别码类型
     */
    private Integer codeType;

    /**
     * 操作人id
     */
    private String userId;
}
