package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 能源消耗量标识
 */
@Data
public class EnergyConsumption {

    /**
     * 生产企业
     */
    private String manufacturingEnterprise;

    /**
     * 车辆型号
     */
    private String vehicleType;

    /**
     * 发动机型号
     */
    private String engineType;

    /**
     * 变速器类型
     */
    private String transmissionType;

    /**
     * 能源种类
     */
    private String energyTypes;

    /**
     * 整车整备质量
     */
    private String wholevehicleQuality;

    /**
     * 排量
     */
    private String displacement;

    /**
     * 最大设计总质量
     */
    private String carTotalWeight;

    /**
     * 最大净功率
     */
    private String maximumNetPower;

    /**
     * 驱动形式
     */
    private String drivingForm;

    /**
     * 市郊工况
     */
    private String suburbanWorkingCondition;

    /**
     * 市区工况
     */
    private String urbanConditions;

    /**
     * 综合工况
     */
    private String comprehensiveWorkingCondition;

    /**
     * 综合工况值
     */
    private String comprehensiveWorkingConditionValue;

    /**
     * 领跑值
     */
    private String leaderValue;

    /**
     * 限值
     */
    private String limitValue;
}
