package com.adc.da.dto.ocr;

import lombok.Data;

import java.util.List;

/**
 * 环保随车清单实体类父类
 *
 * @author 王云龙
 * @date 2019-09-18
 */
@Data
public class EnvironmentalProtectionEO  {

    /**
     * 信息公开编号
     */
    private String informationOpenNumber;

    /**
     * VIN
     */
    private String vin;

    /**
     * 车辆型号
     */
    private String vehicleType;

    /**
     * 商标
     */
    private String trademark;

    /**
     * 汽车分类
     */
    private String vehicleClassification;

    /**
     * 车型的识别方法和位置
     */
    private String recognitionMethod;

    /**
     * 车辆制造商名称
     */
    private String vehicleManufacturer;

    /**
     * 生产厂地址
     */
    private String factoryAddress;

    /**
     * 制造商法人代表
     */
    private String legalRepresentative;

    /**
     * 制造商地址
     */
    private String manufacturerAddress;

    /**
     * 制造商联系电话
     */
    private String contactTelephone;

    /**
     * 车辆生产日期
     */
    private String vehicleProductionDate;

    /**
     * 型式检验信息
     */
    private List<TypeCheckInformation> typeCheckInformationList;

}
