package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 燃油及混合动力车环保随车清单实体类父类
 *
 * @author 王云龙
 * @date 2019-09-19
 */
@Data
public class FuelVehicleEP extends EnvironmentalProtectionEO {

    /**
     * 排放阶段
     */
    private String emissionStage;

    /**
     * 发动机型号/生产厂
     */
    private String engineModel;

    /**
     * EGR型号/生产厂
     */
    private String egr;

    /**
     * OBD型号/生产厂
     */
    private String obd;

    /**
     * ECU型号/生产厂
     */
    private String ecu;

    /**
     * 变速器型式/档位数
     */
    private String derailleur;

    /**
     * 消声器型号/生产厂
     */
    private String muffler;

    /**
     * 增压器型号/生产厂
     */
    private String supercharger;

    /**
     * 中冷器型式
     */
    private String intercoolerType;

}
