package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 汽油国五车型环保随车清单实体类
 *
 * @author 王云龙
 * @date 2019-09-19
 */
@Data
public class GasolineCountryFive extends FuelVehicleEP{

    /**
     * 出厂检验信息
     */
    private String factoryInspectionInformation;

    /**
     * 催化转化器型号/生产厂
     */
    private String catalyticConverterModel;

    /**
     * 催化转化器涂层/载体/封装生产厂
     */
    private String catalyticConverterCoating;

    /**
     * 燃油蒸发控制装置型号/生产厂
     */
    private String fuelEvaporationControlDevice;

    /**
     * 氧传感器型号/生产厂
     */
    private String oxygenSensor;

    /**
     * 曲轴箱排放控制装置型号/生产厂
     */
    private String crankcaseEmissionControlDevice;

    /**
     * IUPR监测功能
     */
    private String iupr;

}
