package com.adc.da.dto.ocr;

import lombok.Data;

/**
 * 混合动力国五车型环保随车清单实体类父类
 *
 * @author 王云龙
 * @date 2019-09-19
 */
@Data
public class HybridPowerFiveEP extends FuelVehicleEP {

    /**
     * 出厂检验信息
     */
    private String factoryInspectionInformation;

    /**
     * 电动机型号/生产厂
     */
    private String motorType;

    /**
     * 储能装置型号/生产厂
     */
    private String energyStorageDevice;

    /**
     * 电池容量/续航里程
     */
    private String battery;

    /**
     * 催化转化器型号/生产厂
     */
    private String catalyticConverterModel;

    /**
     * 催化转化器涂层/载体/封装生产厂
     */
    private String catalyticConverterCoating;

    /**
     * 燃油蒸发控制装置型号/生产厂
     */
    private String fuelEvaporationControlDevice;

    /**
     * 氧传感器型号/生产厂
     */
    private String oxygenSensor;

    /**
     * 曲轴箱排放控制装置型号/生产厂
     */
    private String crankcaseEmissionControlDevice;

    /**
     * IUPR监测功能
     */
    private String iupr;

}
