package com.adc.da.dto.reqDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import lombok.Data;

/**
 * //功能描述： 添加类/接口功能描述
 *
 * @author 周梓武
 * @since 2019-11-06
 */

@Data
@ExcelTarget("CheckEnterpriseDataDetailsDTO")
public class CheckStandardReqDTO {

    /**
     * 序号
     */
    @Excel(name = "序号")
    private String index;

    /**
     * 标准编号
     */
    @Excel(name = "标准编号")
    private String standardCode;

    /**
     * 标准名称
     */
    @Excel(name = "标准名称")
    private String standardName;

}
